# a-filter

[![NPM Version][npm-version-image]][npm-url]
[![LICENSE][license-image]][license-url]
[![Build Status][travis-image]][travis-url]
[![Coverage Status][coveralls-image]][coveralls-url]
[![dependencies Status][dependencies-image]][dependencies-url]
[![devDependencies Status][devDependencies-image]][devDependencies-url]

A simple filter. Recursively filtering an object or array.

Array.prototype.filter for `objects`.
Learn more about [Array.prototype.filter](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/filter).

## Installation

```sh
npm install a-filter
```

## Usages

```js
const words = ['spray', 'limit', 'elite', 'exuberant', 'destruction', 'present'];

const result = words.filter(word => word.length > 6);

console.log(result);
// expected output: Array ["exuberant", "destruction", "present"]
```

## Related

- [Array.prototype.filter](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/filter).

## License
Copyright (c) 2019 [dailyrandomphoto][my-url]. Licensed under the [MIT license][license-url].

[my-url]: https://github.com/dailyrandomphoto
[npm-url]: https://www.npmjs.com/package/a-filter
[travis-url]: https://travis-ci.org/dailyrandomphoto/a-filter
[coveralls-url]: https://coveralls.io/github/dailyrandomphoto/a-filter?branch=master
[license-url]: LICENSE
[dependencies-url]: https://david-dm.org/dailyrandomphoto/a-filter
[devDependencies-url]: https://david-dm.org/dailyrandomphoto/a-filter?type=dev

[npm-downloads-image]: https://img.shields.io/npm/dm/a-filter
[npm-version-image]: https://img.shields.io/npm/v/a-filter
[license-image]: https://img.shields.io/npm/l/a-filter
[travis-image]: https://img.shields.io/travis/dailyrandomphoto/a-filter
[coveralls-image]: https://img.shields.io/coveralls/github/dailyrandomphoto/a-filter
[dependencies-image]: https://img.shields.io/david/dailyrandomphoto/a-filter
[devDependencies-image]: https://img.shields.io/david/dev/dailyrandomphoto/a-filter
